noinst_LTLIBRARIES = libauthentication.la

INCLUDES = \
        -I$(top_srcdir)/amarok/src \
        -I$(top_srcdir)/amarok/src/amarokcore \
        -I$(top_srcdir)/amarok/src/mediadevice \
        -I$(top_srcdir)/amarok/src/mediadevice/daap \
        -I$(top_srcdir)/amarok/src/mediadevice/daap/daapreader \
        $(all_includes)

libauthentication_la_SOURCES = contentfetcher.cpp md5.c hasher.c

libauthentication_la_LIBADD = \
        $(LIB_TQT) \
        $(LIB_TDECORE) \
        $(LIB_TDEUI)

libauthentication_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

METASOURCES = AUTO

noinst_HEADERS = contentfetcher.h md5.h hasher.h portability.h
